------------------------------------------------------------------------
r271 | krisna | 2011-10-17 00:03:13 +0900 (Mon, 17 Oct 2011) | 4 lines
Changed paths:
   M /libhangul/trunk/configure.ac

잘못 관리한 library version을 바로 잡음

지금은 1.0.0 이 되어야 한다.

------------------------------------------------------------------------
r270 | krisna | 2011-10-16 20:53:51 +0900 (Sun, 16 Oct 2011) | 2 lines
Changed paths:
   M /libhangul/trunk/configure.ac

release 0.1.0

------------------------------------------------------------------------
r269 | krisna | 2011-10-16 20:53:22 +0900 (Sun, 16 Oct 2011) | 2 lines
Changed paths:
   M /libhangul/trunk/NEWS

Update documents

------------------------------------------------------------------------
r268 | krisna | 2011-10-16 20:50:58 +0900 (Sun, 16 Oct 2011) | 2 lines
Changed paths:
   M /libhangul/trunk/po/ko.po

update po files

------------------------------------------------------------------------
r267 | krisna | 2011-09-07 23:43:20 +0900 (Wed, 07 Sep 2011) | 4 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hangulctype.c
   M /libhangul/trunk/hangul/hangulinputcontext.c

deprecated 함수 제거

다음 릴리스에서는 library version을 올릴 것이다.

------------------------------------------------------------------------
r266 | krisna | 2011-09-03 15:48:24 +0900 (Sat, 03 Sep 2011) | 5 lines
Changed paths:
   M /libhangul/trunk/configure.ac

gettext 호환 version을 0.18로 업데이트

이하 버전에서는 MKINSTALLDIR 관련 에러가 난다.
0.18 이하를 사용하는 사람이 별로 없길 바란다.

------------------------------------------------------------------------
r265 | krisna | 2011-08-28 23:05:03 +0900 (Sun, 28 Aug 2011) | 5 lines
Changed paths:
   M /libhangul/trunk/test/Makefile.am
   M /libhangul/trunk/test/test.c

test 코드에서 속편하게 wchar_t로 비교

wchar_t 내용이 UCS-4라고 가정해서는 안되지만, GCC를 사용하는 경우에
한해서 사용이 쉬우므로 이렇게 수정한다.

------------------------------------------------------------------------
r264 | krisna | 2011-08-28 22:15:44 +0900 (Sun, 28 Aug 2011) | 5 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hangulinputcontext.c

hangul_ic_is_transliteration() 함수 추가

이 함수는 hangul_ic_process()에 키코드를 넘기기 전에
normalize 과정에 필요한지 판단해주는 함수다.

------------------------------------------------------------------------
r263 | krisna | 2011-08-16 17:22:49 +0900 (Tue, 16 Aug 2011) | 5 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulinputcontext.c

Combination table을 IC에서 Keyboard로 옮김

Combination table은 keyboard에 종속적인 정보이므로 HangulKeyboard에서
참조하는 것이 바람직하다.

------------------------------------------------------------------------
r262 | krisna | 2011-07-18 23:30:24 +0900 (Mon, 18 Jul 2011) | 4 lines
Changed paths:
   M /libhangul/trunk/configure.ac
   M /libhangul/trunk/test/Makefile.am
   M /libhangul/trunk/test/hangul.c
   M /libhangul/trunk/tools/Makefile.am
   M /libhangul/trunk/tools/hangul.c

AM_ICONV 매크로 사용

freebsd에서 컴파일 오류가 발생하는 것을 막기 위한 것

------------------------------------------------------------------------
r261 | krisna | 2011-07-18 00:34:11 +0900 (Mon, 18 Jul 2011) | 5 lines
Changed paths:
   M /libhangul/trunk/libhangul.pc.in
   M /libhangul/trunk/test/Makefile.am
   M /libhangul/trunk/tools/Makefile.am

Use variable LIBINTL

To compile with GNU gettext, we need libintl on freebsd.
So it is safer to specify the variable LIBINTL which is set by AM_GNU_GETTEXT.

------------------------------------------------------------------------
r260 | krisna | 2011-03-11 00:02:11 +0900 (Fri, 11 Mar 2011) | 2 lines
Changed paths:
   M /libhangul/trunk/test/test.c

두벌식 테스트 추가

------------------------------------------------------------------------
r259 | krisna | 2011-03-11 00:01:20 +0900 (Fri, 11 Mar 2011) | 2 lines
Changed paths:
   M /libhangul/trunk/autogen.sh
   M /libhangul/trunk/configure.ac

gettext 관련 파일을 업데이트하기 위해서 autopoint를 사용함

------------------------------------------------------------------------
r257 | krisna | 2011-01-02 23:57:43 +0900 (Sun, 02 Jan 2011) | 4 lines
Changed paths:
   M /libhangul/trunk/NEWS
   M /libhangul/trunk/README

release 0.0.12

문서 업데이트

------------------------------------------------------------------------
r256 | krisna | 2011-01-02 23:25:18 +0900 (Sun, 02 Jan 2011) | 2 lines
Changed paths:
   M /libhangul/trunk/tools/hangul.c

copyright 문구 추가

------------------------------------------------------------------------
r255 | krisna | 2011-01-02 23:00:51 +0900 (Sun, 02 Jan 2011) | 2 lines
Changed paths:
   M /libhangul/trunk/po/ko.po

번역 업데이트

------------------------------------------------------------------------
r254 | krisna | 2011-01-02 22:36:45 +0900 (Sun, 02 Jan 2011) | 2 lines
Changed paths:
   M /libhangul/trunk/tools/hangul.c

메시지 업데이트

------------------------------------------------------------------------
r253 | krisna | 2011-01-02 16:51:10 +0900 (Sun, 02 Jan 2011) | 2 lines
Changed paths:
   M /libhangul/trunk/configure.ac

0.0.12 릴리스 준비

------------------------------------------------------------------------
r252 | krisna | 2010-12-29 23:30:34 +0900 (Wed, 29 Dec 2010) | 9 lines
Changed paths:
   M /libhangul/trunk/configure.ac
   M /libhangul/trunk/hangul/hangulinputcontext.c
   M /libhangul/trunk/tools/hangul.c

hangul_ic_get_keyboard_name()의 리턴값을 로캘에 관계없이 UTF-8로 함

hangul_ic_get_keyboard_name() 함수의 리턴값을 사용하는 곳의 대부분이 
UTF-8인 경우에 더 사용하기 편리하다. nabi, ibus, scim, imhangul 등의 경우 
결국 스트링을 UTF-8로 변환해야 하므로 여기에서 UTF-8을 리턴하면 코딩이 
더 편리해진다. 단 tools/hangul.c 에서는 locale에 따른 변환을 해주어야
하므로 약간 더 불편해지기는 하지만, 나머지에서 수정할 내용이 줄어들므로 
이 편이 더 낫다.

------------------------------------------------------------------------
r251 | krisna | 2010-12-29 22:38:28 +0900 (Wed, 29 Dec 2010) | 2 lines
Changed paths:
   M /libhangul/trunk/tools/Makefile.am
   M /libhangul/trunk/tools/hangul.c

gettext 적용

------------------------------------------------------------------------
r250 | krisna | 2010-12-29 16:54:27 +0900 (Wed, 29 Dec 2010) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulinputcontext.c

세벌식 두벌 자판은 별로 중요하지 않은 자판이므로 순서를 아래로 낮춤

------------------------------------------------------------------------
r249 | krisna | 2010-12-29 00:51:48 +0900 (Wed, 29 Dec 2010) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulinputcontext.c

자판 이름 시작 글자를 대문자로 바꿈

------------------------------------------------------------------------
r248 | krisna | 2010-12-28 16:03:44 +0900 (Tue, 28 Dec 2010) | 9 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulkeyboard.h

#315248 안마태 자판 추가

안마태 자판에서 임의로 추가된 기호 부분을 제거하고, 대신 shift 상태에서도
shift가 아닐때 글자가 나오도록 수정한다. 
이전에 빠트렸던, OP의 [] 문자를 추가한다.
자모의 이름이 Unicode와 맞지 않는 부분을 unicode 이름으로 바꾼다.
안마태 자판에서 shift 상태에 배당되어 있지 않은 곳에 어떤 문자를 할당할지는
좀더 토론을 거친후에 처리하는 편이 좋을 것이다.

------------------------------------------------------------------------
r247 | krisna | 2010-12-26 22:58:09 +0900 (Sun, 26 Dec 2010) | 2 lines
Changed paths:
   M /libhangul/trunk/tools/hangul.c

자동 순서 교정 기능을 끄는 옵션 --strict-order 추가

------------------------------------------------------------------------
r246 | krisna | 2010-12-26 21:59:54 +0900 (Sun, 26 Dec 2010) | 5 lines
Changed paths:
   M /libhangul/trunk/Makefile.am

테스트 디렉토리를 기본으로 빌드하지 않도록 바꿈

별로 중요하지 않은 내용때문에 빌드 오류가 나는 문제로 수정이 필요한
경우를 피하기 위한 것이다.

------------------------------------------------------------------------
r245 | krisna | 2010-12-26 21:54:23 +0900 (Sun, 26 Dec 2010) | 6 lines
Changed paths:
   M /libhangul/trunk/tools/Makefile.am
   M /libhangul/trunk/tools/hangul.c

헤더 참조 경로를 상대 경로로 바꿈

configure 디렉토리가 소스 디렉토리와 다른 경우에 에러가 발생한다.
make distcheck를 하면 에러난다. $(top_srcdir)을 써도 되는데,
그냥 쉽게 상대 경로로 참조하도록 수정한다.

------------------------------------------------------------------------
r244 | krisna | 2010-12-26 14:43:53 +0900 (Sun, 26 Dec 2010) | 6 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulkeyboard.h

세벌식 옛글 자판의 배열을 아래한글과 동일하게 바꿈

옛글 자판에 대해서는 공인된 기준이 없는 만큼 사용자가 많을 것이라 예상되는
아래한글의 세벌식 자판과 같은 자판을 지원하는 것이 사용자에게 편리할 것이라
생각한다.

------------------------------------------------------------------------
r243 | krisna | 2010-12-26 14:41:46 +0900 (Sun, 26 Dec 2010) | 5 lines
Changed paths:
   M /libhangul/trunk/test/test.c

두벌식과 두벌식 옛글 자판에 대한 테스트 케이스 추가

계속 추가할 예정
디버깅할때 편리하기 위해서 NOFORK 모드를 사용

------------------------------------------------------------------------
r242 | krisna | 2010-12-25 23:17:20 +0900 (Sat, 25 Dec 2010) | 9 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulinputcontext.c

두벌식에서 초성이 옛글에서만 사용되는 종성으로 변환되는 경우 처리

ㅃㅉㄸ은 옛글 자모 글자인데, 이번에 두벌식 옛글자판을 구현하면서
hangul_choseong_to_jongseong() 함수로 초성에서 종성으로 변환이 가능해진
자모 글자다. 그런데 저 글자는 현대 한글에서는 유효하지 않은 종성이므로
현대 한글 자판에서는 위 초성들이 종성으로 변환되어서는 안된다.
그래서 combination_table을 비교하여 conjoinable 자모인지 아닌지에
따라서 종성 변환을 할 것인지 말 것인지 처리한다.

------------------------------------------------------------------------
r241 | krisna | 2010-12-25 16:33:04 +0900 (Sat, 25 Dec 2010) | 8 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulinputcontext.c

hangul_combination_combine() 함수의 버그 수정

hangul_combination_combine() 함수의 비교함수에서 두 key 값을 단순히
뺄셈연산하여 리턴하게 되면 두수의 크기차 signed int를 넘어서는 경우에
음수로 연산될 수 있어서 위험하다. 부등호를 이용하여 비교연산으로 처리한다.
Unicode 5.2에서 추가된 자모들중 U+A960, U+D7B0 영역의 문자들을 조합하지
못하는 문제 수정

------------------------------------------------------------------------
r240 | krisna | 2010-12-25 15:21:40 +0900 (Sat, 25 Dec 2010) | 6 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulkeyboard.h

아래한글과 같은 아래아 조합규칙 추가

아래한글에서는 ㅏ+ㅏ를 아래아로 조합하는 규칙이 있다. 
옛한글 입력 편의성을 위해서 아래한글과 같이 ㅏ+ㅏ를 아래아로 변환하는
규칙을 추가한다.

------------------------------------------------------------------------
r239 | krisna | 2010-12-25 14:36:13 +0900 (Sat, 25 Dec 2010) | 6 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulkeyboard.h

옛한글 조합테이블에 빠진 부분 추가

모음 U+116A, U+116B, U+1170, U+118B, U+D7B6를 조합하는 룰이 빠져있어서
새로 추가한다. 아마도 스크립트로 생성시에 제대로 처리되지 못한 부분이
있었던 것 같다.

------------------------------------------------------------------------
r238 | krisna | 2010-12-25 14:11:01 +0900 (Sat, 25 Dec 2010) | 11 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulctype.c
   M /libhangul/trunk/hangul/hangulkeyboard.h

옛이응이 이응으로 처리되는 부분 수정

http://www.unicode.org/Public/UNIDATA/NamesList.txt 파일의 내용을 
이용해서 자모 조합 테이블을 생성한 결과에 문제가 있다.
위 파일에서는 U+11EC - U+11EF 부분의 이름을 옛이응으로 하지 않고 
이응으로 되어 있다. 그래서 이 파일로 부터 생성한 조합테이블에서는
이응 + 이응이 U+11EE가 나오는 문제가 있다. 
그래서 이 부분은 손으로 직접 수정했다.
Unicode 5.2에서 정의된 내용에 따르면 U+11EC - U+11EF 부분은 옛이응으로
처리하는 것이 맞다.

------------------------------------------------------------------------
r237 | krisna | 2010-12-25 13:40:12 +0900 (Sat, 25 Dec 2010) | 4 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulctype.c

hangul_is_jongseong() 함수 버그 수정

236에서 잘못 고친 부분 수정

------------------------------------------------------------------------
r236 | krisna | 2010-12-25 13:24:52 +0900 (Sat, 25 Dec 2010) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulctype.c

Unicode 5.2에서 확장된 한글 자모 영역을 제대로 확인하지 못하는 문제 수정

------------------------------------------------------------------------
r235 | krisna | 2010-12-25 12:37:02 +0900 (Sat, 25 Dec 2010) | 11 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulctype.c
   M /libhangul/trunk/hangul/hangulinputcontext.c
   M /libhangul/trunk/hangul/hangulinternals.h
   M /libhangul/trunk/hangul/hangulkeyboard.h

한글 두벌식 옛글 자판 초기 구현

자판의 배열을 아래한글의 두벌식 옛글자판과 동일하게 맞추었다.
초성과 종성을 뒤바꾸는 코드에서 UNICODE 5.2 버전의 옛한글을 지원하도록
하였다. 기존 두벌식에서 사용하던 hangul_jongseong_dicompose() 함수로는
옛한글 처리를 할 수가 없으므로 새로이 hangul_jongseong_get_diff() 함수를 
구현하고, 이 함수를 이용하여 구현을 변경하였다.
그러나 아직 버그가 있으므로 차츰 수정해 나가도록 한다.
또한 옛한글을 지원하는 과정에서 현대 한글 두벌식 자판에도 영향을 미쳤으므로
이 역시 차츰 수정해 나가도록 한다.

------------------------------------------------------------------------
r234 | krisna | 2010-12-24 23:37:42 +0900 (Fri, 24 Dec 2010) | 4 lines
Changed paths:
   M /libhangul/trunk/hangul/Makefile.am

hangul-gettext.h 소스 리스트에 추가

이 파일이 빠지면 make dist에서 에러남

------------------------------------------------------------------------
r233 | krisna | 2010-12-19 13:53:20 +0900 (Sun, 19 Dec 2010) | 11 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulinputcontext.c
   M /libhangul/trunk/test/test.c

완성 음절로 표현이 불가능한 경우 한글 자모로 표현

지금까지는 완성 음절로 표현이 불가능한 중성 + 종성 같은 음절의 경우
호환자모 중성과 종성을 나열하여 표현하였는데, 이제는 한글 자모 영역의
글자를 사용하여 초성채움 + 중성 + 종성으로 표현한다.
이렇게 기능을 수정하면, 옛한글 자판의 경우도 hangul_buffer_get_string()
함수를 그대로 사용할 수 있으므로 자판 관리가 좀더 편리해지는 측면이 있다.
그러나 단점으로 세벌식에서 모아치기 기능을 활용하는 중에 한글 자모로 표현한
글자가 나타날 수 있는데, 이때에 이 글자를 제대로 렌더링 하지 못할 가능성이
있다.

------------------------------------------------------------------------
r232 | krisna | 2010-12-12 20:45:52 +0900 (Sun, 12 Dec 2010) | 5 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulinputcontext.c

hangul_ic_select_keyboard() 함수에서 지정된 키보드를 못찾은 경우
한글 자판이 설정되지 않는 문제 수정

자판 찾기에 실패한 경우 기본자판으로 두벌식 자판을 설정함

------------------------------------------------------------------------
r231 | krisna | 2010-12-12 20:36:58 +0900 (Sun, 12 Dec 2010) | 2 lines
Changed paths:
   M /libhangul/trunk/autogen.sh

autotools 관련 파일을 링크보다는 복사하도록 함

------------------------------------------------------------------------
r230 | krisna | 2010-12-12 20:01:02 +0900 (Sun, 12 Dec 2010) | 2 lines
Changed paths:
   M /libhangul/trunk/Makefile.am

m4/ChangeLog가 없어서 make dist 에서 오류 발생함

------------------------------------------------------------------------
r229 | krisna | 2010-12-12 19:52:23 +0900 (Sun, 12 Dec 2010) | 2 lines
Changed paths:
   M /libhangul/trunk/Makefile.am
   M /libhangul/trunk/autogen.sh
   M /libhangul/trunk/configure.ac
   M /libhangul/trunk/hangul/Makefile.am
   A /libhangul/trunk/hangul/hangul-gettext.h
   M /libhangul/trunk/hangul/hangulinputcontext.c
   A /libhangul/trunk/po
   A /libhangul/trunk/po/LINGUAS
   A /libhangul/trunk/po/Makevars
   A /libhangul/trunk/po/POTFILES.in
   A /libhangul/trunk/po/ko.po

gettext 적용

------------------------------------------------------------------------
r228 | krisna | 2010-12-12 19:08:30 +0900 (Sun, 12 Dec 2010) | 6 lines
Changed paths:
   M /libhangul/trunk/tools/Makefile.am
   A /libhangul/trunk/tools/hangul.c

한글 자판을 영문 상태로 친 스트링을 한글로 변환해주는 프로그램 구현

예를 들어
 hangul -i dkssudgktpdy 를 실행하면 "안녕하세요"를 출력,
 echo dkssudgktpdy | hangul  을 실행하면 "안녕하세요"를 출력한다.

------------------------------------------------------------------------
r227 | krisna | 2010-11-14 20:35:48 +0900 (Sun, 14 Nov 2010) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hangulinputcontext.c
   M /libhangul/trunk/hangul/hangulkeyboard.h
   M /libhangul/trunk/test/test.c

한글 키보드의 리스트와 이름을 가져오는 인터페이스 구현

------------------------------------------------------------------------
r225 | krisna | 2010-07-17 23:47:24 +0900 (Sat, 17 Jul 2010) | 2 lines
Changed paths:
   M /libhangul/trunk/configure.ac

release 0.0.11

------------------------------------------------------------------------
r224 | krisna | 2010-07-17 23:42:41 +0900 (Sat, 17 Jul 2010) | 2 lines
Changed paths:
   M /libhangul/trunk/NEWS

update document

------------------------------------------------------------------------
r223 | krisna | 2010-07-17 01:08:47 +0900 (Sat, 17 Jul 2010) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulkeyboard.h

옛한글 조합 테이블의 주석을 나머지와 테이블과 같은 형식으로 변경함

------------------------------------------------------------------------
r222 | krisna | 2010-07-17 00:50:29 +0900 (Sat, 17 Jul 2010) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulkeyboard.h

유니코드 5.1에 따라 새로 추가된 옛한글 자모에 대한 조합 규칙 추가

------------------------------------------------------------------------
r221 | krisna | 2010-04-26 22:49:45 +0900 (Mon, 26 Apr 2010) | 5 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulinputcontext.c
   M /libhangul/trunk/hangul/hangulkeyboard.h

안마태 자판 구현 추가 #315248
 * Homin Lee님의 패치를 약간 수정하여 적용함
   일부 대분자에 임의로 할당된 기호 글자들 제거
   주석 포맷이 틀린곳 수정

------------------------------------------------------------------------
r220 | krisna | 2010-04-04 19:55:37 +0900 (Sun, 04 Apr 2010) | 6 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulctype.c

버그수정: #315256 한글 종성 입력시 글꼴 랜더링 문제
 * 세벌식 자판에서 종성만 입력하는 경우 U+1100 자모로 출력하는 문제임
   r201에서 hangul_jamo_to_cjamo() 함수의 테이블을 하나로 합치면서
   잘못하여 데이터를 손실하여 발생한 문제
   빠진 종성들을 compatibility jamo로 변환할 수 있도록 함

------------------------------------------------------------------------
r219 | krisna | 2010-03-12 21:08:03 +0900 (Fri, 12 Mar 2010) | 5 lines
Changed paths:
   M /libhangul/trunk/data/hanja/freq-hanja.txt
   M /libhangul/trunk/data/hanja/hanja.txt

버그수정: #315200 KS X 1002 한자를 좀 더 앞쪽으로
 * 한자의 빈도에 따른 우선 순위를 조정하여 KS X 1002 에서 지정한 한자를 좀더 
   앞쪽으로 배치되게 수정함
 * 작업을 해주신 박원규님에게 감사드립니다.

------------------------------------------------------------------------
r218 | krisna | 2010-03-10 00:17:53 +0900 (Wed, 10 Mar 2010) | 5 lines
Changed paths:
   M /libhangul/trunk/data/hanja/hanja.txt

버그수정: #315197 중복된 한자 단어
 * 반복되어 들어 있는 단어 제거
   아마도 변환 과정에서 오류가 있었던 것 같다.
   아니면 호환한자 관련한 문제가 있었던 것인지도 모르겠다.

------------------------------------------------------------------------
r217 | krisna | 2010-03-10 00:11:40 +0900 (Wed, 10 Mar 2010) | 3 lines
Changed paths:
   M /libhangul/trunk/data/hanja/hanja.txt

버그수정: #315196 포주:庖廚:푸주의 원말
 텍스트 변환에서 발생한 것으로 보이는 오류 수정

------------------------------------------------------------------------
r216 | krisna | 2009-12-06 16:44:22 +0900 (Sun, 06 Dec 2009) | 2 lines
Changed paths:
   M /libhangul/trunk/data/hanja/hanja.txt

잘못된 글자 수정: 반대:胖大

------------------------------------------------------------------------
r215 | krisna | 2009-11-07 22:31:44 +0900 (Sat, 07 Nov 2009) | 2 lines
Changed paths:
   M /libhangul/trunk/data/hanja/hanja.txt

한자어중 한자로 표기 되지 않은 것 한자로 바꿈

------------------------------------------------------------------------
r214 | krisna | 2009-11-07 21:35:31 +0900 (Sat, 07 Nov 2009) | 2 lines
Changed paths:
   M /libhangul/trunk/data/hanja/hanja.txt

거칠부의 한자는 삼국사기의 기록에 따라 居柒夫로 한다.

------------------------------------------------------------------------
r212 | krisna | 2009-10-31 14:32:09 +0900 (Sat, 31 Oct 2009) | 3 lines
Changed paths:
   M /libhangul/trunk/configure.ac

release 0.0.10
 * update library revision

------------------------------------------------------------------------
r211 | krisna | 2009-10-31 14:29:52 +0900 (Sat, 31 Oct 2009) | 2 lines
Changed paths:
   M /libhangul/trunk/NEWS
   M /libhangul/trunk/README

문서 갱신

------------------------------------------------------------------------
r210 | krisna | 2009-10-31 14:28:53 +0900 (Sat, 31 Oct 2009) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulctype.c
   M /libhangul/trunk/hangul/hangulinputcontext.c
   M /libhangul/trunk/hangul/hanja.c

카피라이트 연도 갱신

------------------------------------------------------------------------
r209 | krisna | 2009-10-31 14:12:54 +0900 (Sat, 31 Oct 2009) | 2 lines
Changed paths:
   M /libhangul/trunk/doc/Doxyfile.in

기본 생성 문서를 영문대신 한국어로 생성하도록 바꿈

------------------------------------------------------------------------
r208 | krisna | 2009-10-31 14:12:35 +0900 (Sat, 31 Oct 2009) | 3 lines
Changed paths:
   M /libhangul/trunk/doc/Makefile

document를 kldp.net에 업로드하는 룰 추가
기타 사용할 타겟 추가

------------------------------------------------------------------------
r207 | krisna | 2009-10-31 14:00:56 +0900 (Sat, 31 Oct 2009) | 4 lines
Changed paths:
   M /libhangul/trunk/doc/mainpage.dox

문서 업데이트:
 * mainpage는 web page의 표지로 사용하므로 경어체로 다시 씀
 * 몇가지 항목 더 추가

------------------------------------------------------------------------
r206 | krisna | 2009-10-29 23:22:15 +0900 (Thu, 29 Oct 2009) | 5 lines
Changed paths:
   D /libhangul/trunk/Doxyfile
   M /libhangul/trunk/Makefile.am
   M /libhangul/trunk/configure.ac
   A /libhangul/trunk/doc
   A /libhangul/trunk/doc/Doxyfile.in (from /libhangul/trunk/Doxyfile:204)
   A /libhangul/trunk/doc/Makefile
   A /libhangul/trunk/doc/mainpage.dox

문서화 
 * doxygen 관련 파일은 doc 디렉토리로 옮김
 * doc 디렉토리에 따로 Makefile을 두어 관리함
 * Doxyfile에 버젼 정보가 configure 스크립드로 자동 갱신할 수 있도록 수정

------------------------------------------------------------------------
r205 | krisna | 2009-10-29 23:11:42 +0900 (Thu, 29 Oct 2009) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulctype.c
   M /libhangul/trunk/hangul/hangulinputcontext.c
   M /libhangul/trunk/hangul/hanja.c

libhangul의 API 문서 작성

------------------------------------------------------------------------
r204 | krisna | 2009-10-20 22:06:55 +0900 (Tue, 20 Oct 2009) | 4 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h

hangul_ic_dvorak_to_qwerty()는 더 이상 제공하지 않는다:
 * dvorak을 qwerty로 매핑하는 것은 한글의 영역이 아니므로
   각 입력기에서 구현하는 것으로 한다.

------------------------------------------------------------------------
r203 | krisna | 2009-10-18 23:24:45 +0900 (Sun, 18 Oct 2009) | 3 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulctype.c

hangul_jamo_to_cjamo() 함수를 conjoinable jamo만 아니라
모든 자모 영역(Unicode 5.2에서 추가된 것 포함)에 대해서 작동하도록 확장함

------------------------------------------------------------------------
r202 | krisna | 2009-10-18 23:21:21 +0900 (Sun, 18 Oct 2009) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hangulinputcontext.c
   M /libhangul/trunk/test/hangul.c

deprecate된 함수를 사용하지 않음

------------------------------------------------------------------------
r201 | krisna | 2009-10-17 22:42:45 +0900 (Sat, 17 Oct 2009) | 6 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulctype.c

Unicode 5.2 지원
 * 확장된 자모 영역을 적용하여 ctype 관련 함수를 업데이트함
   0x1100의 추가된 영역과 Jamo Extended A, Jamo Extended B 추가
   코드값이 자모, 초중성 코드인지 확인하는 함수들의 구현을 
   수정하여 Unicode 5.2에서 추가된 영역도 인식하도록 함

------------------------------------------------------------------------
r200 | krisna | 2009-10-17 21:35:26 +0900 (Sat, 17 Oct 2009) | 3 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hangulctype.c

jaso 대신 jamo를 사용한다.
따라서 jaso를 사용한 함수는 앞으로 지원하지 않는다.

------------------------------------------------------------------------
r199 | krisna | 2009-10-16 22:41:41 +0900 (Fri, 16 Oct 2009) | 7 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hangulinputcontext.c
   M /libhangul/trunk/hangul/hangulkeyboard.h
   M /libhangul/trunk/test/test.c

로마자 구현
 * 로마자 입력 방식 구현
 * 로마자 입력 방식 테스트 코드 구현
 * backspace에서 stack이 바닥나면 초중성 코드를 모두 지운다.
   로마자 입력방식에서 임의로 추가된 중성 코드가 backspace 입력될때
   같이 지워지기 위한 구현

------------------------------------------------------------------------
r198 | krisna | 2009-09-03 23:15:53 +0900 (Thu, 03 Sep 2009) | 3 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h

불필요한 함수 선언 제거
참고: http://lists.kldp.net/pipermail/hangul-hackers/2009-September/000392.html

------------------------------------------------------------------------
r197 | exman | 2009-09-03 21:47:26 +0900 (Thu, 03 Sep 2009) | 1 line
Changed paths:
   A /libhangul/trunk/bindings/python_swig
   A /libhangul/trunk/bindings/python_swig/Makefile
   A /libhangul/trunk/bindings/python_swig/hangul.i
   A /libhangul/trunk/bindings/python_swig/test_hangul.py
   A /libhangul/trunk/bindings/python_swig/test_hanja.py
   A /libhangul/trunk/bindings/python_swig/valgrind-test.sh

add swig interface for python and test codes
------------------------------------------------------------------------
r196 | krisna | 2008-12-22 23:38:20 +0900 (Mon, 22 Dec 2008) | 3 lines
Changed paths:
   M /libhangul/trunk/hangul/Makefile.am

hanja.bin 파일을 사용하던 룰을 hanja.txt로 변경하면서 발생한 실수 수정
버그: #195

------------------------------------------------------------------------
r195 | krisna | 2008-12-22 23:33:22 +0900 (Mon, 22 Dec 2008) | 4 lines
Changed paths:
   M /libhangul/trunk/data/hanja/Makefile.am

hanja.txt 설치 디렉토리를 $(datadir)로 바꿈
hanja.bin 파일 설치 룰을 수정하는 과정에서 발생한 실수
버그: #305209

------------------------------------------------------------------------
r193 | krisna | 2008-12-20 23:13:39 +0900 (Sat, 20 Dec 2008) | 2 lines
Changed paths:
   M /libhangul/trunk/configure.ac

release 0.0.9

------------------------------------------------------------------------
r192 | krisna | 2008-12-20 23:07:44 +0900 (Sat, 20 Dec 2008) | 2 lines
Changed paths:
   M /libhangul/trunk/NEWS

문서 업데이트

------------------------------------------------------------------------
r191 | krisna | 2008-12-20 23:03:27 +0900 (Sat, 20 Dec 2008) | 3 lines
Changed paths:
   M /libhangul/trunk/data/hanja/Makefile.am

한자 데이터 파일 패키징 룰 수정:
 * 예전 hanja.bin 파일 관련 부분 제거

------------------------------------------------------------------------
r190 | krisna | 2008-12-20 20:56:45 +0900 (Sat, 20 Dec 2008) | 5 lines
Changed paths:
   M /libhangul/trunk/configure.ac
   M /libhangul/trunk/test/Makefile.am
   A /libhangul/trunk/test/test.c

unit test 코드 적용:
 * check 라이브러리를 이용하여 구현
 * check 라이브러리가 없어도 libhangul을 빌드하는 데는 문제 없게 설정
 * 시범삼아 syllable iterator 코드의 테스트 코드 작성

------------------------------------------------------------------------
r189 | krisna | 2008-12-20 20:53:05 +0900 (Sat, 20 Dec 2008) | 5 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hangulctype.c

자모 스트링을 음절 단위로 iterate하는 함수 구현:
 * hangul_syllable_iterator_prev()
 * hangul_syllable_iterator_next()
 * 음절을 구분하는 단위에 방점이나 combining char도 포함

------------------------------------------------------------------------
r188 | krisna | 2008-11-11 22:47:54 +0900 (Tue, 11 Nov 2008) | 10 lines
Changed paths:
   M /libhangul/trunk/Makefile.am
   M /libhangul/trunk/configure.ac
   M /libhangul/trunk/data/hanja/Makefile.am
   M /libhangul/trunk/hangul/Makefile.am
   M /libhangul/trunk/hangul/hanja.c

한자 데이터를 관리하는 HanjaTable의 작동 방식을 개선:
 * 기존에 한자 데이터를 binary로 변환하여 로딩하던 코드를 제거
 * text 파일에 대한 index만 가지고 있으면서 요청시에 매번 파일을
   읽어서 데이터를 리턴하는 방식으로 구현함
 * 예전 방식은 메모리를 많이 차지하여 사용하지 않음
 * 파일에서 매번 읽는 방식도 그리 속도가 나쁘지 않으므로 사용하기로 하였음
 * hanja.txt 를 바이너리 포맷으로 변환하던 툴 제거
 * hanja.bin 대신 hanja.txt 파일을 설치
 * 참조: http://lists.kldp.net/pipermail/hangul-hackers/2008-November/000385.html

------------------------------------------------------------------------
r187 | krisna | 2008-11-06 23:44:48 +0900 (Thu, 06 Nov 2008) | 6 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulinputcontext.c

hangul_ic_backspace() 에서도 preedit_string과 commit_string을 초기화 함:
 libhangul의 사용자가 hangul_ic_backspace() 함수를 콜한 후에 preedit string과 
 commit string이 유효한지 확인하여 처리하도록 코딩할 수 있다.
 그리고 모든 키 처리 함수를 호출한후 preedit string과 commit string을 
 확인할수 있도록 하기 위해서는 위 과정이 필요하다.

------------------------------------------------------------------------
r186 | wkpark | 2008-05-10 06:46:48 +0900 (Sat, 10 May 2008) | 2 lines
Changed paths:
   M /libhangul/trunk/configure.ac

test for svn check

------------------------------------------------------------------------
r185 | wkpark | 2008-05-06 19:55:22 +0900 (Tue, 06 May 2008) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hanja.c

small fix

------------------------------------------------------------------------
r184 | krisna | 2008-05-06 00:05:11 +0900 (Tue, 06 May 2008) | 3 lines
Changed paths:
   M /libhangul/trunk/autogen.sh

which 로 libtoolize 인지 glibtoolize인지 확인함
참고: #304873

------------------------------------------------------------------------
r183 | krisna | 2008-05-05 01:46:32 +0900 (Mon, 05 May 2008) | 5 lines
Changed paths:
   M /libhangul/trunk/data/hanja/Makefile.am

hanja.txt 파일을 더이상 install 하지 않음
참조: #304842
 http://kldp.net/tracker/index.php?func=detail&aid=304842&group_id=362&atid=350420
 http://lists.kldp.net/pipermail/hangul-hackers/2008-April/000335.html

------------------------------------------------------------------------
r182 | krisna | 2008-05-04 23:28:05 +0900 (Sun, 04 May 2008) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hanja.c

hanja_table_match_exact() 구현

------------------------------------------------------------------------
r181 | krisna | 2008-05-03 17:09:13 +0900 (Sat, 03 May 2008) | 3 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulctype.c

hangul_syllable_len(), hangul_jamos_to_syllables()에서 
마지막 글자가 0으로 끝나지 않을 경우 제대로 변환되지 않는 문제 수정

------------------------------------------------------------------------
r180 | krisna | 2008-05-03 14:05:59 +0900 (Sat, 03 May 2008) | 3 lines
Changed paths:
   M /libhangul/trunk/autogen.sh

ChangeLog가 없을 경우 처리
libtoolize가 없는 경우 glibtoolize를 사용하도록 처리

------------------------------------------------------------------------
r179 | krisna | 2008-04-22 10:08:01 +0900 (Tue, 22 Apr 2008) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h

hanja_list_get_nth_key() 선언 추가

------------------------------------------------------------------------
r177 | krisna | 2008-04-20 16:22:53 +0900 (Sun, 20 Apr 2008) | 2 lines
Changed paths:
   M /libhangul/trunk/configure.ac

release 0.0.8

------------------------------------------------------------------------
r176 | krisna | 2008-04-20 16:05:58 +0900 (Sun, 20 Apr 2008) | 2 lines
Changed paths:
   M /libhangul/trunk/Makefile.am

test 디렉토리 다시 추가

------------------------------------------------------------------------
r175 | krisna | 2008-04-20 16:01:14 +0900 (Sun, 20 Apr 2008) | 2 lines
Changed paths:
   M /libhangul/trunk/NEWS
   M /libhangul/trunk/README

update document 

------------------------------------------------------------------------
r174 | krisna | 2008-04-20 16:00:22 +0900 (Sun, 20 Apr 2008) | 2 lines
Changed paths:
   M /libhangul/trunk/Makefile.am

do not build test directory

------------------------------------------------------------------------
r173 | krisna | 2008-04-20 15:48:59 +0900 (Sun, 20 Apr 2008) | 8 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulinputcontext.c

hangul input context 개선:
 * hangul_ic_select_keyboard() 함수에서 output mode 초기화 함
 * HangulInputContext::use_jamo_mode_only 값에 따라서 
   output mode 설정 기능이 동작하도록 함
 * 세벌식 옛글 자판을 선택했다가 현대글자판으로 바꾸면 jamo output 모드 설정이
   남아있던 문제 수정
 * libhangul 버그: #304765

------------------------------------------------------------------------
r172 | krisna | 2008-04-20 15:09:08 +0900 (Sun, 20 Apr 2008) | 4 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hangulctype.c

자모 -> 음절 변환을 위한 함수 추가:
 * hangul_syllable_len(): 한 음절의 길이를 측정
 * hangul_jamos_to_syllables(): 자모형을 음절형으로 변환

------------------------------------------------------------------------
r171 | krisna | 2008-03-11 20:17:15 +0900 (Tue, 11 Mar 2008) | 2 lines
Changed paths:
   M /libhangul/trunk/data/hanja/Makefile.am

hanja.bin 빌드 룰 개선 (clean 처리)

------------------------------------------------------------------------
r170 | krisna | 2008-03-11 16:17:58 +0900 (Tue, 11 Mar 2008) | 3 lines
Changed paths:
   M /libhangul/trunk/hangul/hanja.c

malloc/realloc 하기 전에 크기 확인 코드 개선
hanja_table_match_prefix()에서 strdup()의 리턴값 확인

------------------------------------------------------------------------
r169 | krisna | 2008-03-11 11:53:26 +0900 (Tue, 11 Mar 2008) | 2 lines
Changed paths:
   M /libhangul/trunk/data/hanja/Makefile.am
   M /libhangul/trunk/hangul/Makefile.am

한자 사전 바이너리 파일의 위치를 $(libdir)/libhangul/hanja/로 옮김

------------------------------------------------------------------------
r168 | krisna | 2008-03-11 11:52:11 +0900 (Tue, 11 Mar 2008) | 2 lines
Changed paths:
   M /libhangul/trunk/data/hanja/hanja.txt

중복된 내용 삭제: 동:中洞:지명

------------------------------------------------------------------------
r167 | krisna | 2008-02-24 11:46:04 +0900 (Sun, 24 Feb 2008) | 2 lines
Changed paths:
   M /libhangul/trunk/data/hanja

ignore list 업데이트

------------------------------------------------------------------------
r166 | krisna | 2008-02-24 11:44:55 +0900 (Sun, 24 Feb 2008) | 2 lines
Changed paths:
   A /libhangul/trunk/data/hanja/compat-table.txt

merge.py에서 사용하는 compatibility hanja 관련 테이터 파일 추가

------------------------------------------------------------------------
r165 | krisna | 2008-02-24 11:12:01 +0900 (Sun, 24 Feb 2008) | 2 lines
Changed paths:
   M /libhangul/trunk/Makefile.am
   M /libhangul/trunk/configure.ac

bindings 디렉토리를 tarball 패키지에 포함하지 않음 

------------------------------------------------------------------------
r164 | krisna | 2008-02-24 11:02:39 +0900 (Sun, 24 Feb 2008) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hanja.c

HanjaList와 PtrVector의 크기의 한계값을 SIZE_MAX를 사용하여 체크

------------------------------------------------------------------------
r163 | krisna | 2008-02-24 10:52:22 +0900 (Sun, 24 Feb 2008) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hanja.c

HanjaList, PtrVector는 UINT_MAX를 넘지 않는 범위에서 사용하도록 한다.

------------------------------------------------------------------------
r162 | krisna | 2008-02-24 10:43:55 +0900 (Sun, 24 Feb 2008) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hanja.c

mmap system call이 없는 시스템을 위한 코드 추가

------------------------------------------------------------------------
r161 | krisna | 2008-02-24 02:45:53 +0900 (Sun, 24 Feb 2008) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hanja.c

디버깅 메시지 출력 루틴 제거

------------------------------------------------------------------------
r160 | krisna | 2008-02-24 02:45:13 +0900 (Sun, 24 Feb 2008) | 4 lines
Changed paths:
   M /libhangul/trunk/hangul/hanja.c

한자 검색 루틴에서 null 포인터 확인:
 * hanja_table_match_prefix(), hanja_table_match_suffix()에서 table이 
   null이면 검색하지 않음

------------------------------------------------------------------------
r159 | krisna | 2008-02-24 02:30:34 +0900 (Sun, 24 Feb 2008) | 3 lines
Changed paths:
   M /libhangul/trunk/test/hanja.c

테스트 코드 수정:
 * hanja.c에서 검색 결과 출력 포맷 수정

------------------------------------------------------------------------
r158 | krisna | 2008-02-24 02:29:23 +0900 (Sun, 24 Feb 2008) | 12 lines
Changed paths:
   M /libhangul/trunk/Makefile.am
   M /libhangul/trunk/configure.ac
   M /libhangul/trunk/data/hanja/Makefile.am
   M /libhangul/trunk/hangul/Makefile.am
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hanja.c
   A /libhangul/trunk/tools
   A /libhangul/trunk/tools/Makefile.am
   A /libhangul/trunk/tools/hanjac.c

한자 사전 파일을 바이너리 형태로 사용하는 기능 구현:
 * 내부적으로 mmap을 이용하여 로딩, 메모리 사용량을 줄임
 * txt 버젼은 vector로 구현, 더이상 slist를 사용하지 않음
 * hanja.txt파일을 hanja.bin 형태로 변환하여 사용함
 * 파일 포맷 변환을 위한 API, hanja_table_txt_to_bin() 추가
 * tools 디렉토리 추가
 * 파일 포맷 변환을 위해 hanjac라는 도구를 제공
 * 기본 한자 사전 파일을 hanja.txt에서 hanja.bin으로 변경

새로운 api 추가
 * hanja_list_get_nth_key()

------------------------------------------------------------------------
r157 | krisna | 2008-02-24 01:59:17 +0900 (Sun, 24 Feb 2008) | 4 lines
Changed paths:
   M /libhangul/trunk/data/hanja/hanja.txt

인코딩에 문제가 생겨 잘못 입력된 한자어를 바로잡음:
 * 국어사전을 참고하여 올라 있는 단어는 찾아 바로잡음
 * 사전에 올라있지 않은 단어는 삭제함

------------------------------------------------------------------------
r156 | krisna | 2008-02-06 01:00:21 +0900 (Wed, 06 Feb 2008) | 6 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulinputcontext.c

세벌식 옛글 처리 수정 (#304728)
 * 옛글 자판에서는 자모(첫가끝)로 출력
 * hangul_ic_flush() 함수에서도 output mode에 따른 처리
 * 나비버그 #304727 참고:
   http://kldp.net/tracker/?func=detail&atid=100275&aid=304727&group_id=275

------------------------------------------------------------------------
r155 | krisna | 2008-02-02 16:06:06 +0900 (Sat, 02 Feb 2008) | 2 lines
Changed paths:
   A /libhangul/trunk/hangul/hangulinternals.h

libhangul내부적으로 사용할 hangulinternals.h 추가

------------------------------------------------------------------------
r153 | krisna | 2008-01-31 23:43:19 +0900 (Thu, 31 Jan 2008) | 2 lines
Changed paths:
   M /libhangul/trunk/configure.ac

release 0.0.7

------------------------------------------------------------------------
r152 | krisna | 2008-01-31 23:20:40 +0900 (Thu, 31 Jan 2008) | 2 lines
Changed paths:
   D /libhangul/trunk/ChangeLog
   M /libhangul/trunk/NEWS

update documents

------------------------------------------------------------------------
r151 | krisna | 2008-01-31 22:38:22 +0900 (Thu, 31 Jan 2008) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h

컴파일러 워닝 방지

------------------------------------------------------------------------
r150 | krisna | 2008-01-31 22:23:21 +0900 (Thu, 31 Jan 2008) | 5 lines
Changed paths:
   M /libhangul/trunk/bindings/python/pyhangul.c
   M /libhangul/trunk/bindings/python/setup.py
   M /libhangul/trunk/bindings/python/test_pyhangul.py

python binding update:
 * MinGW include, lib path 업데이트 (#304663)
 * pyhangul.c 새로운 api에 맞게 수정 (#304665)
 * test 코드도 새로운 api에 맞게 수정 (#304667)

------------------------------------------------------------------------
r149 | krisna | 2008-01-30 00:19:13 +0900 (Wed, 30 Jan 2008) | 4 lines
Changed paths:
   M /libhangul/trunk/hangul/Makefile.am
   M /libhangul/trunk/hangul/hangulinputcontext.c
   M /libhangul/trunk/hangul/hanja.c
   A /libhangul/trunk/hangul/hanjacompatible.h

CJK compatibility 한자 처리를 위한 함수 추가:
 * hanja_compatibility_form()
 * hanja_unified_form() 구현

------------------------------------------------------------------------
r148 | krisna | 2008-01-29 23:57:13 +0900 (Tue, 29 Jan 2008) | 4 lines
Changed paths:
   M /libhangul/trunk/data/hanja/hanja.txt

한자 사전 업데이트:
 * 한자 국명 추가: 한자국명_masoris_20080129.txt.tar.gz
 * 참조: http://lists.kldp.net/pipermail/hangul-hackers/2008-January/000288.html

------------------------------------------------------------------------
r147 | krisna | 2008-01-29 23:47:37 +0900 (Tue, 29 Jan 2008) | 3 lines
Changed paths:
   M /libhangul/trunk/data/hanja/hanja.txt

한자 설명 갱신:
 * r143에서 머지한 커멘트 데이터를 기존의 '하늘 천' 형식에 맞게 수정함

------------------------------------------------------------------------
r146 | krisna | 2008-01-28 23:50:29 +0900 (Mon, 28 Jan 2008) | 3 lines
Changed paths:
   M /libhangul/trunk/data/hanja/hanja.txt

한자 단어 업데이트:
 * 대한민국 전국 지명 목록.txt 데이터 추가

------------------------------------------------------------------------
r145 | krisna | 2008-01-28 23:45:34 +0900 (Mon, 28 Jan 2008) | 4 lines
Changed paths:
   M /libhangul/trunk/data/hanja/hanja.txt
   M /libhangul/trunk/data/hanja/merge.py

중복 체크 루틴의 버그 수정:
 * merge.py 새로운 comment인 경우 처리
 * hanja.txt의 중복 제거

------------------------------------------------------------------------
r144 | krisna | 2008-01-28 23:38:08 +0900 (Mon, 28 Jan 2008) | 4 lines
Changed paths:
   M /libhangul/trunk/data/hanja/hanja.txt
   M /libhangul/trunk/data/hanja/merge.py

한자 업데이트 중 실수 되돌림:
 * merge.py의 중복 처리 코드 개선
 * hanja.txt에 중복하여 들어간 한자 제거

------------------------------------------------------------------------
r143 | krisna | 2008-01-28 23:17:29 +0900 (Mon, 28 Jan 2008) | 3 lines
Changed paths:
   M /libhangul/trunk/data/hanja/hanja.txt

한자 데이터 추가:
 * hanjanatjja.txt 추가, 중복 제거, 주석 추가

------------------------------------------------------------------------
r142 | krisna | 2008-01-28 23:15:48 +0900 (Mon, 28 Jan 2008) | 2 lines
Changed paths:
   M /libhangul/trunk/data/hanja/merge.py

comment를 merge하는 루틴 추가

------------------------------------------------------------------------
r141 | krisna | 2008-01-28 22:20:06 +0900 (Mon, 28 Jan 2008) | 5 lines
Changed paths:
   M /libhangul/trunk/data/hanja/freq-hanja.txt
   M /libhangul/trunk/data/hanja/hanja.txt

한자 우선 순위 파일 업데이트:
 * freq-hanja_masoris_20080127.txt.tar.gz 파일의 우선순위를 적용함
 * 위 우선 순위 파일에 따라 hanja.txt를 재정렬
 * 참조: http://lists.kldp.net/pipermail/hangul-hackers/2008-January/000283.html

------------------------------------------------------------------------
r140 | krisna | 2008-01-27 03:50:27 +0900 (Sun, 27 Jan 2008) | 5 lines
Changed paths:
   M /libhangul/trunk/data/hanja/freq-hanja.txt
   M /libhangul/trunk/data/hanja/freq-hanjaeo.txt
   M /libhangul/trunk/data/hanja/hanja.txt

한자 우선 순위 적용:
 * freq_hanja_masoris_20080121.tar.gz 파일의 우선 순위 데이터를 적용함
 * Kim Song-yil<masoris@gmail.com>님에게 감사드립니다.
 * 참조: http://lists.kldp.net/pipermail/hangul-hackers/2008-January/000276.html

------------------------------------------------------------------------
r139 | krisna | 2008-01-27 03:09:55 +0900 (Sun, 27 Jan 2008) | 5 lines
Changed paths:
   M /libhangul/trunk/data/hanja/hanja.txt
   M /libhangul/trunk/data/hanja/merge.py

CJK unified 한자 사용:
 * hanja.txt 파일의 compatibility 한자를 모두 unified hanja로 바꿈
   앞으로는 hanja.txt는 모두 unified hanja로만 작성할 것임
 * merge.py에서 compatibility 한자를 찾아내어 unified로 바꾸는 코드를 추가

------------------------------------------------------------------------
r138 | krisna | 2008-01-20 22:47:42 +0900 (Sun, 20 Jan 2008) | 2 lines
Changed paths:
   M /libhangul/trunk/data/hanja/hanja.txt

137에서 추가한 merge.py로 한자 낱자와 단어의 우선 순위에 따라 정렬함

------------------------------------------------------------------------
r137 | krisna | 2008-01-20 22:37:01 +0900 (Sun, 20 Jan 2008) | 2 lines
Changed paths:
   A /libhangul/trunk/data/hanja/freq-hanja.txt
   A /libhangul/trunk/data/hanja/freq-hanjaeo.txt
   A /libhangul/trunk/data/hanja/merge.py

한자어 빈도 계산을 위한 데이터와 merge.py 스크립트 추가

------------------------------------------------------------------------
r136 | krisna | 2008-01-06 10:54:03 +0900 (Sun, 06 Jan 2008) | 2 lines
Changed paths:
   M /libhangul/trunk/data/hanja/hanja.txt

서울大工員 -> 서울大公園

------------------------------------------------------------------------
r135 | krisna | 2007-09-01 12:18:11 +0900 (Sat, 01 Sep 2007) | 5 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hangulinputcontext.c
   M /libhangul/trunk/hangul/hanja.c

memory 관리 개선:
 * malloc에서 NULL 리턴하는 경우 처리 추가
 * malloc에 전달되는 크기가 ULONG_MAX를 넘는 경우 처리
 * 불필요한 int arugment를 unsigned int로 바꿈

------------------------------------------------------------------------
r132 | krisna | 2007-07-11 23:36:13 +0900 (Wed, 11 Jul 2007) | 2 lines
Changed paths:
   M /libhangul/trunk/configure.ac
   M /libhangul/trunk/test/hangul.c

AC_C_BIGENDIAN 사용

------------------------------------------------------------------------
r131 | krisna | 2007-07-10 22:14:57 +0900 (Tue, 10 Jul 2007) | 2 lines
Changed paths:
   M /libhangul/trunk/ChangeLog

update document

------------------------------------------------------------------------
r130 | krisna | 2007-07-10 22:13:56 +0900 (Tue, 10 Jul 2007) | 2 lines
Changed paths:
   M /libhangul/trunk/NEWS
   M /libhangul/trunk/configure.ac

0.0.6 release

------------------------------------------------------------------------
r129 | krisna | 2007-07-10 22:12:03 +0900 (Tue, 10 Jul 2007) | 2 lines
Changed paths:
   M /libhangul/trunk/test/hanja.c

include string.h, 워닝 제거

------------------------------------------------------------------------
r128 | krisna | 2007-07-08 22:22:26 +0900 (Sun, 08 Jul 2007) | 5 lines
Changed paths:
   M /libhangul/trunk/ChangeLog
   M /libhangul/trunk/NEWS
   M /libhangul/trunk/configure.ac
   M /libhangul/trunk/libhangul.pc.in

0.0.5 준비
 * 문서 업데이트
 * configure.ac의 버젼 변경
 * libhangul.pc.in에서 datadir 설정 제거

------------------------------------------------------------------------
r127 | krisna | 2007-07-08 22:21:05 +0900 (Sun, 08 Jul 2007) | 2 lines
Changed paths:
   M /libhangul/trunk/test/hanja.c

hanja 테스트 코드 변경

------------------------------------------------------------------------
r126 | krisna | 2007-07-08 21:44:29 +0900 (Sun, 08 Jul 2007) | 2 lines
Changed paths:
   M /libhangul/trunk/data/hanja/hanja.txt

오류 수정

------------------------------------------------------------------------
r125 | krisna | 2007-07-08 20:46:51 +0900 (Sun, 08 Jul 2007) | 2 lines
Changed paths:
   M /libhangul/trunk/data/hanja/hanja.txt

단어 정보 오류 수정

------------------------------------------------------------------------
r124 | krisna | 2007-07-07 17:19:12 +0900 (Sat, 07 Jul 2007) | 2 lines
Changed paths:
   M /libhangul/trunk/data/hanja/hanja.txt

한자 단어 오류 수정

------------------------------------------------------------------------
r123 | krisna | 2007-06-24 21:54:35 +0900 (Sun, 24 Jun 2007) | 6 lines
Changed paths:
   M /libhangul/trunk/data/hanja/hanja.txt

* 국립국어원의 국어사전 표제어 목록에서 추출한 한자 추가
 - http://kldp.org/node/83356 참고
 - http://kldp.org/files/hanja_nikl.zip
 - hanja_type2_1_complete.txt 추가


------------------------------------------------------------------------
r122 | krisna | 2007-06-24 21:03:10 +0900 (Sun, 24 Jun 2007) | 6 lines
Changed paths:
   M /libhangul/trunk/data/hanja/hanja.txt

* 국립국어원의 국어사전 표제어 목록에서 추출한 한자 추가
 - http://kldp.org/node/83356 참고
 - http://kldp.org/files/hanja_nikl.zip
 - hanja_type3_1_1_complete.txt 추가


------------------------------------------------------------------------
r121 | krisna | 2007-06-24 20:59:26 +0900 (Sun, 24 Jun 2007) | 6 lines
Changed paths:
   M /libhangul/trunk/data/hanja/hanja.txt

* 국립국어원의 국어사전 표제어 목록에서 추출한 한자 추가
 - http://kldp.org/node/83356 참고
 - http://kldp.org/files/hanja_nikl.zip
 - hanja_type1_complete.txt merge


------------------------------------------------------------------------
r120 | krisna | 2007-05-28 22:25:15 +0900 (Mon, 28 May 2007) | 4 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hangulinputcontext.c

callback function 등록하는 api 수정
 * hangul_ic_connect_callback() 사용
 * callback function type 제거

------------------------------------------------------------------------
r119 | krisna | 2007-03-21 22:22:02 +0900 (Wed, 21 Mar 2007) | 2 lines
Changed paths:
   M /libhangul/trunk/configure.ac

configure에 몇가지 check 추가

------------------------------------------------------------------------
r118 | krisna | 2007-03-08 22:41:38 +0900 (Thu, 08 Mar 2007) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulinputcontext.c

callback function pointer 초기화 루틴 추가

------------------------------------------------------------------------
r117 | krisna | 2007-03-04 22:28:14 +0900 (Sun, 04 Mar 2007) | 8 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hangulinputcontext.c

* filter api 변경
 - hangul_ic_connect_translate() 추가:
   ascii 코드에서 한글코드로 변환할때 불리는 callback 등록 함수 
 - hangul_ic_connect_transition() 추가:
   입력된 글자에 따라서 상태 전이(transition)이 발생할때 불리는 callback 등록
   함수
 - hangul_ic_set_filter()를 앞으로 사용하지 않음, 삭제될 예정

------------------------------------------------------------------------
r116 | krisna | 2007-01-20 14:50:53 +0900 (Sat, 20 Jan 2007) | 11 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hangulinputcontext.c

HangulICFilter의 argument 순서를 바꿈
 * bool (*HangulICFilter)(HangulInputContext* hic,
			  ucschar c,
			  const ucschar* preedit,
			  void* data);
   - hic: 이 ic의 포인터
   - c: 새로 입력된 글자
   - preedit:  c가 입력됐을 경우 만들어질 preedit string
   - data: filter를 등록할때 지정한 user data pointer
   

------------------------------------------------------------------------
r115 | krisna | 2007-01-14 21:29:54 +0900 (Sun, 14 Jan 2007) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hangulctype.c

hangul_syllable_to_jaso() 추가

------------------------------------------------------------------------
r114 | krisna | 2007-01-14 21:14:07 +0900 (Sun, 14 Jan 2007) | 4 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hangulctype.c
   M /libhangul/trunk/hangul/hangulinputcontext.c

HangulInputContext의 상태를 알 수 있는 함수 추가:
 * hangul_buffer_has_choseong(), hangul_buffer_has_jungseong(),
   hangul_buffer_has_jongseong() 추가

------------------------------------------------------------------------
r110 | krisna | 2007-01-06 15:35:09 +0900 (Sat, 06 Jan 2007) | 3 lines
Changed paths:
   M /libhangul/trunk/ChangeLog
   M /libhangul/trunk/Makefile.am
   M /libhangul/trunk/NEWS

 * update documents
 * update the rule to generate ChangeLog

------------------------------------------------------------------------
r109 | krisna | 2007-01-06 15:14:45 +0900 (Sat, 06 Jan 2007) | 11 lines
Changed paths:
   M /libhangul/trunk/Makefile.am
   M /libhangul/trunk/configure.ac
   M /libhangul/trunk/hangul/hangul.h

hangulconfig.h:
 * hangulconfig.h를 자동 생성하는 룰 제거
 * stdboo.h를 직접 include

hangul.h:
 * _HANGUL_H_ 대신 libhangul_hangul_h 로 헤더 중복 include 체크

version:
 * 0.0.4 준비 작업


------------------------------------------------------------------------
r108 | krisna | 2007-01-05 01:18:15 +0900 (Fri, 05 Jan 2007) | 2 lines
Changed paths:
   M /libhangul/trunk/Makefile.am

DISTCLEANFILES에 hangulconf.h 추가(make distcheck에서 발생하는 오류 처리)

------------------------------------------------------------------------
r107 | krisna | 2007-01-04 22:54:59 +0900 (Thu, 04 Jan 2007) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hanja.c

hanja_table_new_from_list(): 필요 없는 메시지 출력 제거

------------------------------------------------------------------------
r106 | krisna | 2007-01-04 22:36:11 +0900 (Thu, 04 Jan 2007) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulinputcontext.c
   M /libhangul/trunk/hangul/hangulkeyboard.h

keyboard array와 combination array를 const로 바꿈

------------------------------------------------------------------------
r105 | krisna | 2006-12-27 13:53:28 +0900 (Wed, 27 Dec 2006) | 3 lines
Changed paths:
   M /libhangul/trunk/test/hanja.c

hanja_list_delete(), hanja_table_delete() 변경 적용


------------------------------------------------------------------------
r104 | krisna | 2006-12-23 01:49:09 +0900 (Sat, 23 Dec 2006) | 3 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hanja.c

hanja_table_destroy() -> hanja_table_delete()
hanja_list_destroy() -> hanja_list_delete()

------------------------------------------------------------------------
r103 | krisna | 2006-12-17 00:02:33 +0900 (Sun, 17 Dec 2006) | 5 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulkeyboard.h

한글 keyboard table 업데이트
 * 영문자의 경우도 입력 루틴에서 처리함, 그렇지 않으면 qwerty 자판이 아닌경우
   영문, 또는 기호가 잘못 입력되는 경우가 발생할 수 있음
 * 주석에 코드값도 추가함

------------------------------------------------------------------------
r102 | krisna | 2006-12-02 12:33:14 +0900 (Sat, 02 Dec 2006) | 3 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulinputcontext.c

세벌식 자판에서 종성 + 중성 순서로 입력했을때 종성을 입력하면 더이상 조합이
안되는 문제를 수정함

------------------------------------------------------------------------
r101 | krisna | 2006-12-02 02:00:41 +0900 (Sat, 02 Dec 2006) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h

ucschar를 다시 uint32_t로 되돌림

------------------------------------------------------------------------
r100 | krisna | 2006-11-27 23:44:57 +0900 (Mon, 27 Nov 2006) | 5 lines
Changed paths:
   M /libhangul/trunk/Makefile.am
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hangulinputcontext.c

* hangulconfig.h 인스톨 룰 추가
* hangul.h에서 hangulconfig.h를 include
* ucschar를 int type으로 변경
* inttypes.h를 hangulinputcontext.c에서 직접 include하게 함

------------------------------------------------------------------------
r99 | krisna | 2006-11-27 23:34:10 +0900 (Mon, 27 Nov 2006) | 2 lines
Changed paths:
   M /libhangul/trunk/configure.ac

hangulconf.h을 자동 생성하는 코드 추가

------------------------------------------------------------------------
r98 | krisna | 2006-11-17 20:36:40 +0900 (Fri, 17 Nov 2006) | 2 lines
Changed paths:
   M /libhangul/trunk/test/hangul.c

마지막 글자를 nul로 채움

------------------------------------------------------------------------
r97 | krisna | 2006-11-13 10:54:06 +0900 (Mon, 13 Nov 2006) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulkeyboard.h

3벌식 자판에서 dvorak 처리(기호의 배열도 유지한다)

------------------------------------------------------------------------
r96 | krisna | 2006-11-13 00:58:58 +0900 (Mon, 13 Nov 2006) | 2 lines
Changed paths:
   M /libhangul/trunk/test/Makefile.am
   A /libhangul/trunk/test/hangul.c (from /libhangul/trunk/test/test.c:95)
   D /libhangul/trunk/test/test.c

test.c -> hangul.c

------------------------------------------------------------------------
r95 | krisna | 2006-11-13 00:56:41 +0900 (Mon, 13 Nov 2006) | 3 lines
Changed paths:
   M /libhangul/trunk/test/test.c

* 새로 작성된 hangul_ic_new() 루틴 사용
* wcstombs() 대신 iconv() 사용

------------------------------------------------------------------------
r94 | krisna | 2006-11-13 00:55:27 +0900 (Mon, 13 Nov 2006) | 3 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hangulinputcontext.c

* hangul_keyboard_get_type() 사용
* hangul_ic_new()에서 keyboard 정보를 string을 전달

------------------------------------------------------------------------
r93 | krisna | 2006-11-12 23:21:37 +0900 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hangulinputcontext.c
   M /libhangul/trunk/hangul/hangulkeyboard.h

새로운 HangulKeyboard, HangulCombination 적용

------------------------------------------------------------------------
r92 | krisna | 2006-11-08 22:48:24 +0900 (Wed, 08 Nov 2006) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h

remove unneeded header wchar.h

------------------------------------------------------------------------
r91 | krisna | 2006-10-28 01:00:39 +0900 (Sat, 28 Oct 2006) | 3 lines
Changed paths:
   M /libhangul/trunk/data/hanja/hanja.txt

한자성어 데이터 추가 (http://hanja.pe.kr 로부터 추출한 것임)
참고: http://lists.kldp.net/pipermail/hangul-hackers/2006-October/000196.html

------------------------------------------------------------------------
r89 | krisna | 2006-10-27 16:04:32 +0900 (Fri, 27 Oct 2006) | 2 lines
Changed paths:
   M /libhangul/trunk/ChangeLog

* update ChangeLog

------------------------------------------------------------------------
r88 | krisna | 2006-10-27 16:04:13 +0900 (Fri, 27 Oct 2006) | 2 lines
Changed paths:
   M /libhangul/trunk/NEWS
   M /libhangul/trunk/README

* update documents

------------------------------------------------------------------------
r87 | krisna | 2006-10-27 15:56:08 +0900 (Fri, 27 Oct 2006) | 2 lines
Changed paths:
   M /libhangul/trunk/configure.ac

0.0.3 release 준비 (0.0.4는 실수한 것임)

------------------------------------------------------------------------
r86 | krisna | 2006-10-27 15:53:41 +0900 (Fri, 27 Oct 2006) | 2 lines
Changed paths:
   M /libhangul/trunk/configure.ac

0.0.4 준비

------------------------------------------------------------------------
r85 | krisna | 2006-10-27 15:53:18 +0900 (Fri, 27 Oct 2006) | 2 lines
Changed paths:
   M /libhangul/trunk/Makefile.am

log target 추가

------------------------------------------------------------------------
r84 | krisna | 2006-10-27 14:56:50 +0900 (Fri, 27 Oct 2006) | 2 lines
Changed paths:
   M /libhangul/trunk/bindings/python/pyhangul.c
   M /libhangul/trunk/bindings/python/setup.py

hangul_ic_flush()의 바뀐점 적용

------------------------------------------------------------------------
r83 | krisna | 2006-10-27 14:40:34 +0900 (Fri, 27 Oct 2006) | 2 lines
Changed paths:
   M /libhangul/trunk/bindings
   M /libhangul/trunk/test

ignore list 추가

------------------------------------------------------------------------
r82 | krisna | 2006-10-27 14:33:24 +0900 (Fri, 27 Oct 2006) | 2 lines
Changed paths:
   M /libhangul/trunk/test/Makefile.am
   A /libhangul/trunk/test/hanja.c

hanja test 코드 추가

------------------------------------------------------------------------
r81 | krisna | 2006-10-27 14:29:12 +0900 (Fri, 27 Oct 2006) | 3 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hanja.c

 * HanjaTable, HanjaList, Hanja struct를 외부로 노출되지 않게함.
 * 각 struct들의 액세스 함수를 추가함

------------------------------------------------------------------------
r80 | krisna | 2006-10-25 23:17:01 +0900 (Wed, 25 Oct 2006) | 2 lines
Changed paths:
   M /libhangul/trunk/data/hanja/hanja.txt

국립국어원의 "한국어 학습용 어휘 목록" 추가

------------------------------------------------------------------------
r79 | krisna | 2006-10-22 01:50:10 +0900 (Sun, 22 Oct 2006) | 5 lines
Changed paths:
   M /libhangul/trunk/data/hanja/hanja.txt

data/hanja/hanja.txt:
    * 한자 단어 추가 (국립국어연구원의 '현대 국어 사용 빈도 조사 결과'
      파일에서 추출함)


------------------------------------------------------------------------
r78 | krisna | 2006-10-21 23:18:48 +0900 (Sat, 21 Oct 2006) | 6 lines
Changed paths:
   M /libhangul/trunk/data/hanja/hanja.txt

data/hanja/hanja.txt:
    * KSX1001과 KSX1002에 있는 한자만 남기고 나머지는 지움
    * 국립국어연구원에서 제공받은 한자독음 파일을 참고하여 다시 작성
      참고: http://lists.kldp.net/pipermail/hangul-hackers/2004-June/000073.html


------------------------------------------------------------------------
r77 | krisna | 2006-10-02 00:35:17 +0900 (Mon, 02 Oct 2006) | 5 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hanja.c

hangul/hangul.h,hangul/hanja.c:
    * remove hanja_table_match() and add hanja_table_match_prefix() and
      hanja_table_match_suffix()


------------------------------------------------------------------------
r76 | krisna | 2006-10-01 17:08:19 +0900 (Sun, 01 Oct 2006) | 5 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hangulinputcontext.c
   M /libhangul/trunk/test/test.c

hangul/hangul.h,hangul/hangulinputcontext.c:
    * add hangul_ic_flush() function which flushes the current buffer and
      return it. returned pointer is not need to freed, but it is available
      until other HangulInputContext function is called.

------------------------------------------------------------------------
r75 | krisna | 2006-09-23 15:05:10 +0900 (Sat, 23 Sep 2006) | 4 lines
Changed paths:
   M /libhangul/trunk/data/hanja/hanja.txt

data/hanja/hanja.txt:
    remove symbol data from hanja data list. I will use another data table for
    symbol area.

------------------------------------------------------------------------
r74 | krisna | 2006-05-23 10:45:06 +0900 (Tue, 23 May 2006) | 2 lines
Changed paths:
   A /libhangul/trunk/bindings/Makefile.am

bindings 디렉토리에 Makefile.am 추가

------------------------------------------------------------------------
r73 | krisna | 2006-05-22 22:40:04 +0900 (Mon, 22 May 2006) | 2 lines
Changed paths:
   M /libhangul/trunk/ChangeLog

update ChangeLog

------------------------------------------------------------------------
r72 | krisna | 2006-05-22 22:31:45 +0900 (Mon, 22 May 2006) | 2 lines
Changed paths:
   M /libhangul/trunk/configure.ac
   M /libhangul/trunk/libhangul.pc.in

LIBHANGUL_VERSION 대신 PACKAGE_VERSION을 사용함

------------------------------------------------------------------------
r71 | krisna | 2006-05-15 23:06:14 +0900 (Mon, 15 May 2006) | 3 lines
Changed paths:
   M /libhangul/trunk/data/hanja/hanja.txt

candidate의 순서를 nabi와 같게 바꿈
see: http://kldp.net/tracker/?func=detail&atid=350987&aid=301209&group_id=510

------------------------------------------------------------------------
r70 | krisna | 2006-05-14 19:41:29 +0900 (Sun, 14 May 2006) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulinputcontext.c

ucs string의 nul 문자를 L'\0'에서 0으로 바꿈

------------------------------------------------------------------------
r68 | krisna | 2006-05-14 03:31:33 +0900 (Sun, 14 May 2006) | 3 lines
Changed paths:
   M /libhangul/trunk/ChangeLog
   M /libhangul/trunk/Makefile.am
   M /libhangul/trunk/NEWS
   M /libhangul/trunk/configure.ac

* bindings 디렉토리 추가 (python, ruby포함)
* 문서 업데이트

------------------------------------------------------------------------
r67 | krisna | 2006-03-23 13:12:11 +0900 (Thu, 23 Mar 2006) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulinputcontext.c

hangul_ic_process_jamo에서 처리하지 않는 글자는 false를 리턴하게 함

------------------------------------------------------------------------
r66 | krisna | 2006-03-12 15:01:58 +0900 (Sun, 12 Mar 2006) | 4 lines
Changed paths:
   A /libhangul/trunk/bindings
   A /libhangul/trunk/bindings/python
   A /libhangul/trunk/bindings/python/Makefile (from /libhangul/trunk/pyhangul/Makefile:63)
   A /libhangul/trunk/bindings/python/pyhangul.c (from /libhangul/trunk/pyhangul/pyhangul.c:63)
   A /libhangul/trunk/bindings/python/setup.py (from /libhangul/trunk/pyhangul/setup.py:63)
   A /libhangul/trunk/bindings/python/test_pyhangul.py (from /libhangul/trunk/pyhangul/test_pyhangul.py:63)
   A /libhangul/trunk/bindings/ruby
   A /libhangul/trunk/bindings/ruby/extconf.rb
   A /libhangul/trunk/bindings/ruby/hangul.c
   A /libhangul/trunk/bindings/ruby/test-hangul.rb
   D /libhangul/trunk/pyhangul

bindings dir 추가
pyhangul을 bindings/python으로 옮김
ruby binding 추가

------------------------------------------------------------------------
r65 | krisna | 2006-03-12 14:53:25 +0900 (Sun, 12 Mar 2006) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hangulinputcontext.c

hangul_ic_dvorak_to_qwerty() 추가

------------------------------------------------------------------------
r64 | krisna | 2006-03-12 14:52:59 +0900 (Sun, 12 Mar 2006) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulkeyboard.h

dvorak + 두벌식 자판에서 기호글자는 qwerty 배열처럼 처리

------------------------------------------------------------------------
r63 | krisna | 2006-03-04 10:40:59 +0900 (Sat, 04 Mar 2006) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulinputcontext.c

자모식 루틴에서 영문자 처리 개선

------------------------------------------------------------------------
r62 | krisna | 2006-02-25 22:33:54 +0900 (Sat, 25 Feb 2006) | 2 lines
Changed paths:
   M /libhangul/trunk/test/test.c

filter 함수 인자 바뀐 것을 적용함

------------------------------------------------------------------------
r61 | krisna | 2006-02-25 22:27:06 +0900 (Sat, 25 Feb 2006) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hangulinputcontext.c
   M /libhangul/trunk/hangul/hangulkeyboard.h

HangulInputContext의 실제 구현을 hangulinputcontext.c로 숨김

------------------------------------------------------------------------
r60 | krisna | 2006-02-25 22:14:37 +0900 (Sat, 25 Feb 2006) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hangulctype.c
   M /libhangul/trunk/hangul/hangulinputcontext.c

라이센스 연도 갱신

------------------------------------------------------------------------
r59 | krisna | 2006-02-25 18:04:30 +0900 (Sat, 25 Feb 2006) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulinputcontext.c

hangul_ic_process_jaso()(세벌식 루틴)에서도 filter 함수 적용

------------------------------------------------------------------------
r58 | krisna | 2006-02-25 18:03:46 +0900 (Sat, 25 Feb 2006) | 3 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulctype.c

hangul_jaso_to_jamo에서 잘못된 처리 수정
hangul_choseong_to_jamo, hangul_jungseong_to_jamo, hangul_jongseong_to_jamo 제거

------------------------------------------------------------------------
r57 | krisna | 2006-02-25 17:19:00 +0900 (Sat, 25 Feb 2006) | 3 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulinputcontext.c

hangul_ic_push 가 실패할 경우 한번더 push함
ㅆㅠ 나 ㅠㅆ 를 입력할 때 발생하는 문제를 수정함

------------------------------------------------------------------------
r56 | krisna | 2006-02-18 15:49:57 +0900 (Sat, 18 Feb 2006) | 3 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hangulctype.c
   M /libhangul/trunk/hangul/hangulinputcontext.c

add hangul_jaso_to_jamo()
add new parameter preedit string to HangulICFilter

------------------------------------------------------------------------
r55 | krisna | 2006-02-18 11:13:18 +0900 (Sat, 18 Feb 2006) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hanja.c

ignore comment line which is started by '#' or blank line

------------------------------------------------------------------------
r54 | krisna | 2006-02-18 02:41:10 +0900 (Sat, 18 Feb 2006) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulinputcontext.c

use buffer.jongseong not jungseong on hangul_ic_push

------------------------------------------------------------------------
r53 | krisna | 2006-02-18 02:19:31 +0900 (Sat, 18 Feb 2006) | 3 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulinputcontext.c

* filter function and data pointer initialize
* make work when filter functions is NULL

------------------------------------------------------------------------
r52 | krisna | 2006-02-17 19:22:48 +0900 (Fri, 17 Feb 2006) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hangulinputcontext.c
   M /libhangul/trunk/test/test.c

add hangul_ic_set_filter() function

------------------------------------------------------------------------
r51 | krisna | 2006-02-11 13:52:10 +0900 (Sat, 11 Feb 2006) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hangulinputcontext.c
   M /libhangul/trunk/pyhangul/pyhangul.c
   M /libhangul/trunk/test/test.c

rename hangul_ic_filter to hangul_ic_process

------------------------------------------------------------------------
r50 | krisna | 2005-12-21 21:41:18 +0900 (Wed, 21 Dec 2005) | 2 lines
Changed paths:
   M /libhangul/trunk/data/hanja/hanja.txt

remove word dictionary data and add license terms

------------------------------------------------------------------------
r49 | krisna | 2005-12-14 10:44:20 +0900 (Wed, 14 Dec 2005) | 3 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulinputcontext.c

fix bug #301100, thanks to Young Chol Song (skystars)
check the index validity on hangul_buffer_peek function

------------------------------------------------------------------------
r48 | krisna | 2005-11-27 23:19:43 +0900 (Sun, 27 Nov 2005) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulinputcontext.c

fix the problem that 'krrk' generate '각가'

------------------------------------------------------------------------
r45 | krisna | 2005-11-20 23:27:07 +0900 (Sun, 20 Nov 2005) | 2 lines
Changed paths:
   M /libhangul/trunk/ChangeLog

update changelog

------------------------------------------------------------------------
r43 | krisna | 2005-11-20 01:16:28 +0900 (Sun, 20 Nov 2005) | 2 lines
Changed paths:
   M /libhangul/trunk/libhangul.pc.in

change includedir to have hangul header directory in libhangul.pc

------------------------------------------------------------------------
r42 | krisna | 2005-11-20 01:13:49 +0900 (Sun, 20 Nov 2005) | 2 lines
Changed paths:
   M /libhangul/trunk/autogen.sh

add libtoolize command

------------------------------------------------------------------------
r41 | krisna | 2005-11-19 16:12:31 +0900 (Sat, 19 Nov 2005) | 2 lines
Changed paths:
   A /libhangul/trunk/pyhangul/test_pyhangul.py

add pyhangul test code pyhangul/test_pyhangul.py

------------------------------------------------------------------------
r40 | krisna | 2005-11-19 16:07:42 +0900 (Sat, 19 Nov 2005) | 2 lines
Changed paths:
   M /libhangul/trunk/Makefile.am

add test to SUBDIRS

------------------------------------------------------------------------
r39 | krisna | 2005-11-19 16:07:14 +0900 (Sat, 19 Nov 2005) | 2 lines
Changed paths:
   M /libhangul/trunk/NEWS
   M /libhangul/trunk/README

update documents

------------------------------------------------------------------------
r38 | krisna | 2005-11-19 16:06:59 +0900 (Sat, 19 Nov 2005) | 2 lines
Changed paths:
   M /libhangul/trunk/AUTHORS

add developer, Joon-cheol Park

------------------------------------------------------------------------
r37 | krisna | 2005-11-19 13:28:57 +0900 (Sat, 19 Nov 2005) | 2 lines
Changed paths:
   M /libhangul/trunk/pyhangul/setup.py

clean up setup.py, python install script

------------------------------------------------------------------------
r36 | krisna | 2005-11-18 12:43:53 +0900 (Fri, 18 Nov 2005) | 2 lines
Changed paths:
   A /libhangul/trunk/Doxyfile
   M /libhangul/trunk/hangul/hangulctype.c

add doxygen support

------------------------------------------------------------------------
r35 | krisna | 2005-11-18 12:43:21 +0900 (Fri, 18 Nov 2005) | 2 lines
Changed paths:
   M /libhangul/trunk/data/hanja/hanja.txt

add some new word

------------------------------------------------------------------------
r34 | krisna | 2005-11-04 23:31:59 +0900 (Fri, 04 Nov 2005) | 2 lines
Changed paths:
   M /libhangul/trunk/test/Makefile.am
   M /libhangul/trunk/test/test.c

Apply the changes, libtoolize and new api hangul_ic_flush

------------------------------------------------------------------------
r33 | krisna | 2005-11-04 23:24:50 +0900 (Fri, 04 Nov 2005) | 2 lines
Changed paths:
   M /libhangul/trunk/pyhangul/pyhangul.c

Change comment style, // -> /* */

------------------------------------------------------------------------
r32 | krisna | 2005-11-04 23:22:35 +0900 (Fri, 04 Nov 2005) | 2 lines
Changed paths:
   M /libhangul/trunk/pyhangul/pyhangul.c

Change wchar_t to ucschar

------------------------------------------------------------------------
r31 | krisna | 2005-11-04 22:39:58 +0900 (Fri, 04 Nov 2005) | 2 lines
Changed paths:
   M /libhangul/trunk/pyhangul/pyhangul.c

Add new api hangul_ic_flush

------------------------------------------------------------------------
r30 | krisna | 2005-11-04 22:39:38 +0900 (Fri, 04 Nov 2005) | 2 lines
Changed paths:
   M /libhangul/trunk/pyhangul/setup.py

libtoolize

------------------------------------------------------------------------
r29 | krisna | 2005-10-29 17:37:58 +0900 (Sat, 29 Oct 2005) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulinputcontext.c
   M /libhangul/trunk/hangul/hangulkeyboard.h

* return false if we do not use the key event

------------------------------------------------------------------------
r28 | krisna | 2005-10-03 16:00:43 +0900 (Mon, 03 Oct 2005) | 2 lines
Changed paths:
   M /libhangul/trunk/Makefile.am

* Makefile.am: add pkgconfig file rule

------------------------------------------------------------------------
r27 | krisna | 2005-10-02 14:32:31 +0900 (Sun, 02 Oct 2005) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hangulinputcontext.c

add hangul_ic_reset() function

------------------------------------------------------------------------
r26 | krisna | 2005-10-02 14:31:02 +0900 (Sun, 02 Oct 2005) | 3 lines
Changed paths:
   M /libhangul/trunk/hangul/hanja.c

* remove unneeded main() function ;)
* remove debuging code

------------------------------------------------------------------------
r25 | krisna | 2005-10-01 15:41:37 +0900 (Sat, 01 Oct 2005) | 2 lines
Changed paths:
   M /libhangul/trunk
   M /libhangul/trunk/data
   M /libhangul/trunk/data/hanja
   M /libhangul/trunk/hangul

add svn:ignore properties

------------------------------------------------------------------------
r24 | krisna | 2005-10-01 15:15:45 +0900 (Sat, 01 Oct 2005) | 3 lines
Changed paths:
   M /libhangul/trunk/Makefile.am
   M /libhangul/trunk/configure.ac
   A /libhangul/trunk/data
   A /libhangul/trunk/data/Makefile.am
   A /libhangul/trunk/data/hanja
   A /libhangul/trunk/data/hanja/Makefile.am
   A /libhangul/trunk/data/hanja/hanja.txt
   M /libhangul/trunk/hangul/Makefile.am
   M /libhangul/trunk/hangul/hanja.c

* data/hanja/hanja.txt: add default hanja dictionary file.
* modify configure.ac, Makefile.ams to add hanja dictionary file.

------------------------------------------------------------------------
r23 | krisna | 2005-10-01 14:39:54 +0900 (Sat, 01 Oct 2005) | 3 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hangulctype.c
   M /libhangul/trunk/hangul/hangulinputcontext.c

* use ucschar instead of wchar_t
* change filter name from filter_2 to filter_jamo and filter_3 to filter_jaso

------------------------------------------------------------------------
r22 | krisna | 2005-10-01 14:17:13 +0900 (Sat, 01 Oct 2005) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hangulinputcontext.c

rename hangul_is_reset -> hangul_ic_flush

------------------------------------------------------------------------
r21 | krisna | 2005-10-01 14:01:19 +0900 (Sat, 01 Oct 2005) | 2 lines
Changed paths:
   M /libhangul/trunk/COPYING
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hangulctype.c
   M /libhangul/trunk/hangul/hangulinputcontext.c
   M /libhangul/trunk/hangul/hanja.c

change the license to LGPL

------------------------------------------------------------------------
r20 | krisna | 2005-10-01 13:49:15 +0900 (Sat, 01 Oct 2005) | 3 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hangulctype.c
   M /libhangul/trunk/hangul/hangulinputcontext.c
   M /libhangul/trunk/hangul/hangulkeyboard.h

* change wchar_t to ucschar(uint32_t)
* add new functions: hangul_is_choseong_conjoinable, hangul_is_jungseong_conjoinable, hangul_is_jongseong_conjoinable, hangul_is_syllable

------------------------------------------------------------------------
r19 | krisna | 2005-09-25 23:10:25 +0900 (Sun, 25 Sep 2005) | 3 lines
Changed paths:
   M /libhangul/trunk/Makefile.am
   M /libhangul/trunk/hangul/Makefile.am
   M /libhangul/trunk/hangul/hangul.h
   A /libhangul/trunk/hangul/hanja.c

* Makefile.am: remove test from SUBDIR target
* hangul/Makefile.am, hangul/hangul.h, hangul/hanja.c: add hanja dic interface

------------------------------------------------------------------------
r18 | krisna | 2005-09-25 22:55:24 +0900 (Sun, 25 Sep 2005) | 3 lines
Changed paths:
   M /libhangul/trunk/configure.ac
   M /libhangul/trunk/hangul/Makefile.am
   A /libhangul/trunk/libhangul.pc.in

* libtoolize
* added pkgconfig file

------------------------------------------------------------------------
r17 | krisna | 2005-09-25 19:24:56 +0900 (Sun, 25 Sep 2005) | 2 lines
Changed paths:
   M /libhangul/trunk/hangul/hangul.h
   M /libhangul/trunk/hangul/hangulctype.c

hangul_is_syllable(wchar_t ch) 추가

------------------------------------------------------------------------
r16 | krisna | 2005-08-25 23:58:55 +0900 (Thu, 25 Aug 2005) | 3 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulinputcontext.c

do not make string, if there is no cho, jung, jongseong
in hangul_buffer_get_jamo_string()

------------------------------------------------------------------------
r15 | krisna | 2005-08-21 14:05:26 +0900 (Sun, 21 Aug 2005) | 3 lines
Changed paths:
   M /libhangul/trunk/hangul/hangulinputcontext.c

append the translated char to the commit string if it has value.
(to solve the symbol input problem of jaso routine)

------------------------------------------------------------------------
r14 | krisna | 2005-07-23 23:50:10 +0900 (Sat, 23 Jul 2005) | 2 lines
Changed paths:
   D /branches
   A /libhangul
   A /libhangul/tags (from /tags:13)
   A /libhangul/trunk (from /trunk/hangul:13)
   D /tags
   D /trunk

migrate to svn and rearrange source directory

------------------------------------------------------------------------
r13 | krisna | 2004-12-14 22:41:59 +0900 (Tue, 14 Dec 2004) | 2 lines
Changed paths:
   M /trunk/hangul/hangul/hangul.h
   M /trunk/hangul/hangul/hangulinputcontext.c
   M /trunk/hangul/pyhangul/pyhangul.c
   M /trunk/hangul/test/test.c

Change api of hangul_ic_filter(); remove capslock argument.

------------------------------------------------------------------------
r12 | krisna | 2004-12-07 21:58:00 +0900 (Tue, 07 Dec 2004) | 2 lines
Changed paths:
   M /trunk/hangul/hangul/hangul.h

include inttypes.h instead of stdint.h

------------------------------------------------------------------------
r11 | krisna | 2004-12-05 13:11:46 +0900 (Sun, 05 Dec 2004) | 3 lines
Changed paths:
   M /trunk/hangul/hangul/hangul.h
   M /trunk/hangul/hangul/hangulinputcontext.c
   M /trunk/hangul/hangul/hangulkeyboard.h

 * Add 3no-shift, 3yetgul keyboard
 * Clear preedit string on hangul_ic_reset

------------------------------------------------------------------------
r10 | exman | 2004-12-02 00:12:07 +0900 (Thu, 02 Dec 2004) | 2 lines
Changed paths:
   A /trunk/hangul/pyhangul/dist.bat
   M /trunk/hangul/pyhangul/setup.py

add a script for win32-setup (using mingw32 compiler)

------------------------------------------------------------------------
r9 | exman | 2004-11-08 22:54:21 +0900 (Mon, 08 Nov 2004) | 2 lines
Changed paths:
   M /trunk/hangul/pyhangul/pyhangul.c

*** empty log message ***

------------------------------------------------------------------------
r8 | exman | 2004-11-08 22:47:37 +0900 (Mon, 08 Nov 2004) | 1 line
Changed paths:
   M /trunk/hangul/pyhangul/pyhangul.c
   M /trunk/hangul/pyhangul/setup.py

setup.py� path��
------------------------------------------------------------------------
r7 | krisna | 2004-11-08 20:45:26 +0900 (Mon, 08 Nov 2004) | 2 lines
Changed paths:
   M /trunk/hangul/README
   A /trunk/hangul/autogen.sh

write README and add autogen.sh

------------------------------------------------------------------------
r3 | krisna | 2004-11-08 20:39:11 +0900 (Mon, 08 Nov 2004) | 2 lines
Changed paths:
   A /trunk/hangul
   A /trunk/hangul/AUTHORS
   A /trunk/hangul/COPYING
   A /trunk/hangul/ChangeLog
   A /trunk/hangul/Makefile.am
   A /trunk/hangul/NEWS
   A /trunk/hangul/README
   A /trunk/hangul/configure.ac
   A /trunk/hangul/hangul
   A /trunk/hangul/hangul/Makefile.am
   A /trunk/hangul/hangul/hangul.h
   A /trunk/hangul/hangul/hangulctype.c
   A /trunk/hangul/hangul/hangulinputcontext.c
   A /trunk/hangul/hangul/hangulkeyboard.h
   A /trunk/hangul/pyhangul
   A /trunk/hangul/pyhangul/Makefile
   A /trunk/hangul/pyhangul/pyhangul.c
   A /trunk/hangul/pyhangul/setup.py
   A /trunk/hangul/test
   A /trunk/hangul/test/Makefile.am
   A /trunk/hangul/test/test.c

Initial revision

------------------------------------------------------------------------
